<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>Utilisateurs | listes</title>
    <link rel="icon" type="image/x-icon" href="/img/favicon.ico"/>
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/css/bootstrap.css" rel="stylesheet" type="text/css"/>
    <link href="/css/plugins.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->

    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="/css/elements/alert.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/datatables.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/dt-global_style.css">
    <!-- END PAGE LEVEL STYLES -->

    <script>
        function clicked_delete_user(e, libelle) {
            if (!confirm('Confirmez-vous la suppression de l\'utilisateur ' + libelle + ' ?')) {
                e.preventDefault();
            }
        }

        function clicked_renvoi_email(e, libelle) {
            if (!confirm('Confirmez-vous le renvoi d\'email de notification de création de compte  de l\'utilisateur ' + libelle + ' ?')) {
                e.preventDefault();
            }
        }
    </script>

</head>
<body class="sidebar-noneoverflow">
<%- include('../includes/menu'); -%>


<!--  BEGIN MAIN CONTAINER  -->
<div class="main-container" id="container">

    <div class="overlay"></div>
    <div class="search-overlay"></div>

    <%- include('../includes/topbar'); -%>


    <!--  BEGIN CONTENT AREA  -->
    <div id="content" class="main-content">
        <div class="layout-px-spacing">

            <% if (error != "") { %>
                <div class="alert alert-light-danger mb-4" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                             fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                             stroke-linejoin="round" class="feather feather-x close" data-dismiss="alert">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                    <strong><%= error %></strong>
                </div>
            <% } %>
            <% if (success != "") { %>
                <div class="alert alert-light-success mb-4" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                             fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                             stroke-linejoin="round" class="feather feather-x close" data-dismiss="alert">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                    <strong><%= success %></strong>
                </div>
            <% } %>

            <!-- CONTENT AREA -->
            <div class="row layout-top-spacing">
                <div class="col-xl-12 col-lg-12 col-sm-12  layout-spacing">
                    <div class="widget-content widget-content-area br-6">
                        <h1 class="text-center">LISTE DES UTILISATEURS</h1>
                        <div class="table-responsive mb-4 mt-4">
                            <table id="default-ordering" class="table table-hover" style="width:100%">
                                <thead>
                                <tr>
                                    <th>Nom</th>
                                    <th>Prenom</th>
                                    <th>Téléphone</th>
                                    <th>Email</th>
                                    <th>Acteur</th>
                                    <th>Agence de paiement</th>
                                    <th>Début</th>
                                    <th>Fin</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                <% users.forEach((user, index) => { %>
                                    <tr>
                                        <td><%= user.User_Nom %></td>
                                        <td><%= user.User_Prenom %></td>
                                        <td><%= user.User_Tel %></td>
                                        <td><%= user.User_Email %></td>
                                        <td><%= user.Acteur.Acteur_Nom %></td>
                                        <td><%= (user.AgencePaiement) ? user.AgencePaiement.AgencePaiement_Nom : 'Aucune' %></td>
                                        <td><%= moment(user.User_ValidFrom).format('DD/MM/YYYY') %></td>
                                        <% if (user.User_ValidTo == null) { %>
                                            <td class="text-center"></td>
                                        <% }else{ %>
                                            <td><%= moment(user.User_ValidTo).format('DD/MM/YYYY') %></td>
                                        <% } %>
                                        <td class="d-flex justify-content-between">
                                            <a class="bs-tooltip" data-toggle="tooltip" data-placement="top"
                                               data-original-title="modifier"
                                               href=<%= "/user/update/" + user.User_Id %>>
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                     viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                     stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                     class="feather feather-edit-2 p-1 br-6 mb-1">
                                                    <path d="M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z"></path>
                                                </svg>
                                            </a>
                                            <% if (user.User_ValidTo == null) { %>
                                                <a class="bs-tooltip" data-toggle="tooltip" data-placement="top"
                                                   data-original-title="supprimer"
                                                   onclick="clicked_delete_user(event, '<%= user.User_Nom + " " + user.User_Prenom %>');"
                                                   href=<%= "/user/delete/" + user.User_Id %>>
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                         viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                         stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                         class="feather feather-trash p-1 br-6 mb-1">
                                                        <polyline points="3 6 5 6 21 6"></polyline>
                                                        <path d="M19 6v14a2 2 0 0 1-2 2H7a2 2 0 0 1-2-2V6m3 0V4a2 2 0 0 1 2-2h4a2 2 0 0 1 2 2v2"></path>
                                                    </svg>
                                                </a>
                                                <a class="bs-tooltip" data-toggle="tooltip" data-placement="top"
                                                   data-original-title="Rôles"
                                                   href="<%= "/user/role/" + user.User_Id %>" class>
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                         viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                         stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                         class="feather feather-list">
                                                        <line x1="8" y1="6" x2="21" y2="6"></line>
                                                        <line x1="8" y1="12" x2="21" y2="12"></line>
                                                        <line x1="8" y1="18" x2="21" y2="18"></line>
                                                        <line x1="3" y1="6" x2="3.01" y2="6"></line>
                                                        <line x1="3" y1="12" x2="3.01" y2="12"></line>
                                                        <line x1="3" y1="18" x2="3.01" y2="18"></line>
                                                    </svg>
                                                </a>
                                            <% } %>
                                            <% if (user.User_Valide == false && user.User_ValidTo == null) { %>
                                                <a class="bs-tooltip" data-toggle="tooltip" data-placement="top"
                                                   data-original-title="Renvoi email"
                                                   onclick="clicked_renvoi_email(event, '<%= user.User_Nom + " " + user.User_Prenom %>');"
                                                   href=<%= "/user/newUrl/" + user.User_Id %>>
                                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                         viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                         stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                         class="feather feather-send">
                                                        <line x1="22" y1="2" x2="11" y2="13"></line>
                                                        <polygon points="22 2 15 22 11 13 2 9 22 2"></polygon>
                                                    </svg>
                                                </a>
                                            <% } %>
                                        </td>
                                    </tr>
                                <% }) %>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>


            <!-- CONTENT AREA -->

        </div>
    </div>
    <!--  END CONTENT AREA  -->

</div>
<!-- END MAIN CONTAINER -->

<!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
<script src="/js/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js"
        integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4"
        crossorigin="anonymous"></script>
<script src="/js/bootstrap.min.js"></script>
<script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
<script src="/js/app.js"></script>

<script>
    $(document).ready(function () {
        App.init();
    });
</script>
<script src="/js/custom.js"></script>
<!-- END GLOBAL MANDATORY SCRIPTS -->


<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="/plugins/table/datatable/datatables.js"></script>
<script>
    $('#default-ordering').DataTable({
        "oLanguage": {
            "oPaginate": {
                "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>',
                "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>'
            },
            "sInfo": "Affichage de l'élément _START_ à _END_ sur _TOTAL_ éléments.",
            "sInfoEmpty": "Affichage de 0 élément.",
            "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
            "sSearchPlaceholder": "Recherche...",
            "sLengthMenu": "Resultats :  _MENU_",
            "sEmptyTable": "Aucun résultat",
            "sInfoFiltered": "(filtré des _MAX_ total enregistré)"

        },
        "stripeClasses": [],
        "lengthMenu": [10, 20, 50],
        "pageLength": 10,
        drawCallback: function () {
            $('.dataTables_paginate > .pagination').addClass(' pagination-style-13 pagination-bordered mb-5');
        }
    });
</script>
<!-- END PAGE LEVEL SCRIPTS -->
</body>
</html>

